
#property indicator_separate_window
#property indicator_buffers 3
#property indicator_minimum 0.0
#property indicator_maximum 100.0
#property indicator_level1 50
#property indicator_level2 30
#property indicator_level3 70
         
//---- input parameters

extern int _period = 14;
extern int TF = 0;
extern int _priceType = 5;
extern int _markedWidth = 2;
extern int _history = 100;

extern string Sym = "EURUSD";
extern bool Use_Sym = false;
extern bool Show_Diff = true;
extern bool Use_Reverse = false;

extern color _Color_Diff = White;
extern color _color_EUR = DarkBlue;
extern color _color_USD = Green;
extern color _color_GBP = Red;
extern color _color_CHF = Chocolate;
extern color _color_JPY = Maroon;
extern color _color_AUD = DarkOrange;
extern color _color_CAD = Purple;
extern color _color_NZD = Teal;

//---- buffers
double Curr_1[];
double Curr_2[];
double Diff[];

string indic_name = "japaJZI";
string sname = "japaJZI_Diff_2";

string R1="";
string R2="";
string R3="";
string Sym2;

color C1;
color C2;

int x,y;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {

if (Use_Sym )

 Sym2 = Sym; else Sym2 = Symbol();


 R1= StringSubstr(Sym2, 0, 3);
 R2= StringSubstr(Sym2, 3, 3);
if (Use_Reverse) R3= R2+ " " +R1+ " ";
            else  R3= R1+ " " +R2+ " "; 
 

if( R1 =="EUR") {x=0;C1= _color_EUR;}
if( R1 =="USD") {x=1;C1= _color_USD;}
if( R1 =="GBP") {x=2;C1= _color_GBP;}
if( R1 =="JPY") {x=3;C1= _color_JPY;}
if( R1 =="CHF") {x=4;C1= _color_CHF;}
if( R1 =="AUD") {x=5;C1= _color_AUD;}
if( R1 =="CAD") {x=6;C1= _color_CAD;}
if( R1 =="NZD") {x=7;C1= _color_NZD;}

if( R2 =="EUR") {y=0;C2= _color_EUR;}
if( R2 =="USD") {y=1;C2= _color_USD;}
if( R2 =="GBP") {y=2;C2= _color_GBP;}
if( R2 =="JPY") {y=3;C2= _color_JPY;}
if( R2 =="CHF") {y=4;C2= _color_CHF;}
if( R2 =="AUD") {y=5;C2= _color_AUD;}
if( R2 =="CAD") {y=6;C2= _color_CAD;}
if( R2 =="NZD") {y=7;C2= _color_NZD;}


//---- indicators

   IndicatorShortName(sname);

   SetIndexStyle(0,DRAW_LINE,STYLE_SOLID,1,C1);
   SetIndexBuffer(0,Curr_1);
   SetIndexLabel (0, R1);
   SetIndexDrawBegin(0, _period);
   
   SetIndexStyle(1,DRAW_LINE,STYLE_SOLID,1,C2);
   SetIndexBuffer(1,Curr_2);
   SetIndexLabel (1, R2);
   SetIndexDrawBegin(1, _period);
   
   
   if(Show_Diff)
   {
   
   SetIndexStyle(2,DRAW_LINE,STYLE_SOLID,2,_Color_Diff);
   SetIndexBuffer(2,Diff);
   SetIndexLabel (2, R3);  
   SetIndexDrawBegin(2, _period);
   }
//----

   
   
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   ObjectsDeleteAll(); 
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int  i,limit,counted_bars = IndicatorCounted() ;
 
   if(counted_bars<0) return(-1);  
   if(counted_bars>0) counted_bars--;

   limit = Bars-counted_bars;
   
   if ( limit > _history ) limit = _history; 
   if ( limit <= 0 ) return(0); 
            
            RefreshRates( );

   for ( i = limit ; i >= 0 ; i -- ) 
      {
        Curr_1[i]= iCustom(NULL,0,indic_name,_period,TF,_priceType,_history,_markedWidth,x,i);
        Curr_2[i]= iCustom(NULL,0,indic_name,_period,TF,_priceType,_history,_markedWidth,y,i);
      
     
      if (Use_Reverse)
           Diff[i]=(Curr_2[i]-Curr_1[i])+50;
       else
           Diff[i]=(Curr_1[i]-Curr_2[i])+50;
      }
  
        ObjectCreate( sname+""+999+"", OBJ_LABEL, WindowFind(sname), 0, 0);
        ObjectSetText(sname+""+999+"",""+R1+"",9, "Arial");
        ObjectSet(sname+""+999+"", OBJPROP_COLOR,C1 );
        ObjectSet(sname+""+999+"", OBJPROP_CORNER, 0);
        ObjectSet(sname+""+999+"", OBJPROP_XDISTANCE, 250);
        ObjectSet(sname+""+999+"", OBJPROP_YDISTANCE, 3);
        
        ObjectCreate(sname+""+888+"", OBJ_LABEL, WindowFind(sname), 0, 0);
        ObjectSetText(sname+""+888+"",""+R2+"",9, "Arial");
        ObjectSet(sname+""+888+"", OBJPROP_COLOR, C2);
        ObjectSet(sname+""+888+"", OBJPROP_CORNER, 0);
        ObjectSet(sname+""+888+"", OBJPROP_XDISTANCE, 300);
        ObjectSet(sname+""+888+"", OBJPROP_YDISTANCE, 3);
        
        if (Show_Diff)
  {
        ObjectCreate(sname+""+777+"", OBJ_LABEL, WindowFind(sname), 0, 0);
        ObjectSetText(sname+""+777+"",""+R3+"",9, "Arial");
        ObjectSet(sname+""+777+"", OBJPROP_COLOR, _Color_Diff);
        ObjectSet(sname+""+777+"", OBJPROP_CORNER, 0);
        ObjectSet(sname+""+777+"", OBJPROP_XDISTANCE, 370);
        ObjectSet(sname+""+777+"", OBJPROP_YDISTANCE, 3);
        
     } 
//----
   return(0);
  }
//+------------------------------------------------------------------+



